Package org.globus.ftp

# Class GridFTPRestartMarker

java.lang.Object
org.globus.ftp.GridFTPRestartMarker

All Implemented Interfaces:
  `Marker`

public class GridFTPRestartMarker extends Object implements Marker
Represents GridFTP restart marker, which contains unordered set of byte ranges representing transferred data. The ranges are preserved exactly as received from the server, which may not be very useful. For additional processing on byte ranges, use ByteRangeList. Typical usage:

       list = new ByteRangeList();
       marker = new GridFTPRestartMarker(reply.getMessage());
       list.merge(marker.getVector());

See Also:
  - `ByteRangeList`

## Constructor Summary

Constructors
Constructor
Description
`GridFTPRestartMarker(String msg)`
Constructs the restart marker by parsing the parameter string.

## Method Summary

Modifier and Type
Method
Description
`Vector`
`toVector()`
Returns Vector representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GridFTPRestartMarker

public GridFTPRestartMarker(String msg) throws IllegalArgumentException
Constructs the restart marker by parsing the parameter string.

Parameters:
  `msg` - The string in the format of FTP reply 111 message, for instance "Range Marker 0-29,30-89"
Throws:
  `IllegalArgumentException` - if the parameter is in bad format

## Method Details

### toVector

public Vector toVector()
Returns Vector representation of this object. Its elements are be ByteRange objects. They are in the order exactly as received in the FTP reply; no additional processing has been done on them. To order and merge them, use ByteRangeList. Subsequent calls of this method will return the same Vector object.

Returns:
  Vector representation of this object.